summaryrefslogtreecommitdiffstats
path: root/libraries/SDL_sound
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:58:26 +0200
committer Robby Workman2010-05-13 00:58:26 +0200
commit1f434131b0a8911a7f52855fc77dd4fab56de32e (patch)
treea7e453a229e714eadf57cc26accdc41f3d1559c1 /libraries/SDL_sound
parent9902799c0a47a63c3a6ae46f3d8df59a9a711835 (diff)
downloadslackbuilds-1f434131b0a8911a7f52855fc77dd4fab56de32e.tar.gz
libraries/SDL_sound: Added to 13.0 repository
Diffstat (limited to 'libraries/SDL_sound')
-rw-r--r--libraries/SDL_sound/README2
-rw-r--r--libraries/SDL_sound/SDL_sound.SlackBuild79
-rw-r--r--libraries/SDL_sound/SDL_sound.info10
-rw-r--r--libraries/SDL_sound/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/libraries/SDL_sound/README b/libraries/SDL_sound/README
new file mode 100644
index 0000000000..ebd91df6bc
--- /dev/null
+++ b/libraries/SDL_sound/README
@@ -0,0 +1,2 @@
+SDL_sound is a library that handles the decoding of several popular
+sound file formats, such as .WAV and .MP3.
diff --git a/libraries/SDL_sound/SDL_sound.SlackBuild b/libraries/SDL_sound/SDL_sound.SlackBuild
new file mode 100644
index 0000000000..fda59d0c6c
--- /dev/null
+++ b/libraries/SDL_sound/SDL_sound.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for SDL_sound
+
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SDL_sound
+VERSION=1.0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-static \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING CREDITS INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/SDL_sound/SDL_sound.info b/libraries/SDL_sound/SDL_sound.info
new file mode 100644
index 0000000000..fdc07b5df2
--- /dev/null
+++ b/libraries/SDL_sound/SDL_sound.info
@@ -0,0 +1,10 @@
+PRGNAM="SDL_sound"
+VERSION="1.0.3"
+HOMEPAGE="http://icculus.org/SDL_sound/"
+DOWNLOAD="http://icculus.org/SDL_sound/downloads/SDL_sound-1.0.3.tar.gz"
+MD5SUM="aa09cd52df85d29bee87a664424c94b5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/libraries/SDL_sound/slack-desc b/libraries/SDL_sound/slack-desc
new file mode 100644
index 0000000000..989a95e656
--- /dev/null
+++ b/libraries/SDL_sound/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+SDL_sound: SDL_sound (a sound library add-on for SDL)
+SDL_sound:
+SDL_sound: SDL_sound is a library that handles the decoding of several popular
+SDL_sound: sound file formats, such as .WAV and .MP3.
+SDL_sound:
+SDL_sound:
+SDL_sound:
+SDL_sound:
+SDL_sound:
+SDL_sound:
+SDL_sound: